> For the complete documentation index, see [llms.txt](https://docs.net2grid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.net2grid.com/device-management-api/information/gateways-eui64-info.md).

# /gateways/{eui64}/info

Returns the information of a specific device, such as the device identifier, the firmware and hardware versions, the manufacturer batch identifier, the number of system resets, the source of the most recent reset, and the number of platform reconnects.

```json
{"openapi":"3.0.1","info":{"title":"Device Management API","version":"1.6.0"},"tags":[{"name":"Information","description":"Commands to retrieve information about the devices connected to the platform"}],"servers":[{"url":"https://device-management.n2g-{platform}.net/v2","variables":{"platform":{"default":"dev","description":"The platform name"}}}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"parameters":{"EUI64":{"name":"eui64","in":"path","description":"The EUI64 of the device in hexadecimal format.","required":true,"schema":{"type":"string"}}},"schemas":{"DeviceInfo":{"type":"object","properties":{"device_id":{"type":"string","description":"The device identifier."},"fw_version":{"type":"string","description":"The active firmware version."},"hw_version":{"type":"integer","description":"The hardware version of the device."},"batch_id":{"type":"string","description":"The manufacturer batch identifier."},"reset_count":{"type":"integer","description":"The number of system resets."},"reset_source":{"type":"string","description":"The source of the most recent reset."},"reconnect_count":{"type":"integer","description":"The number of platform reconnects."},"hr":{"$ref":"#/components/schemas/DeviceHRInfo"},"lan":{"$ref":"#/components/schemas/DeviceLanInfo"}}},"DeviceHRInfo":{"type":"object","properties":{"enabled":{"type":"boolean","description":"`true` if high-resolution power measurements streaming is enabled; otherwise, `false`."}}},"DeviceLanInfo":{"type":"object","properties":{"ip":{"type":"string","description":"The local IP address of the device."},"token":{"$ref":"#/components/schemas/DeviceTokenInfo"}}},"DeviceTokenInfo":{"type":"object","properties":{"user":{"type":"string","description":"The user token used to access the device's LAN API."},"timestamp":{"type":"integer","description":"The timestamp the user token was created. The token is valid for 24 hours."}}},"ErrorResponse":{"type":"object","required":["message"],"properties":{"message":{"type":"string","description":"The error message returned."},"code":{"type":"integer","description":"The error code returned."}}}},"responses":{"MissingOrInvalidEUIErrorResponse":{"description":"Invalid request:\n  - Missing required 'path' parameter: 'eui64'.\n  - The provided EUI64 '{eui64}' is not a valid hexadecimal string.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"EUIOrShadowNotFoundErrorResponse":{"description":"Not found:\n  - 400: The device '{eui64}' is not available in the IoT Thing registry.\n  - 410: The shadow '{shadow}' for device '{eui64}' was not found.\n  - 411: The reported state for shadow '{shadow}' of device '{eui64}' was not found.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"InternalServerErrorResponse":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"paths":{"/gateways/{eui64}/info":{"get":{"summary":"/gateways/{eui64}/info","description":"Returns the information of a specific device, such as the device identifier, the firmware and hardware  versions, the manufacturer batch identifier, the number of system resets, the source of the most recent  reset, and the number of platform reconnects.\n","operationId":"getInfo","tags":["Information"],"parameters":[{"$ref":"#/components/parameters/EUI64"}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeviceInfo"}}}},"400":{"$ref":"#/components/responses/MissingOrInvalidEUIErrorResponse"},"404":{"$ref":"#/components/responses/EUIOrShadowNotFoundErrorResponse"},"500":{"$ref":"#/components/responses/InternalServerErrorResponse"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.net2grid.com/device-management-api/information/gateways-eui64-info.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
